import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# spe containertype remove

Remove a specific container type

## Usage

```sh
m365 spe containertype remove [options]
```

## Options

```md definition-list
`-i, --id [id]`
: The ID of the container type. Specify either `id` or `name` but not both.

`-n, --name [name]`
: The container type name. Specify either `id` or `name` but not both.

`-f, --force`
: Force removal of the container type without confirmation.
```

<Global />

## Remarks

:::danger[Important]

This command relies on a different API endpoint due to current API limitations. As a result, it requires different permissions than other `spe containertype` commands. We plan to align the permissions in the future once these limitations are resolved.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource   | Permissions        |
  |------------|--------------------|
  | SharePoint | Container.Selected |

  :::info

  To use this command you must be either **SharePoint Administrator** or **Global Administrator**.

  :::

  </TabItem>
  <TabItem value="Application">

  | Resource   | Permissions        |
  |------------|--------------------|
  | SharePoint | Container.Selected |

  </TabItem>
</Tabs>

## Examples

Removes a container type by ID.

```sh
m365 spe containertype remove --id 4ec4aefd-4fa3-0e4a-20c3-6e68389e7138
```

Removes a container type by name.

```sh
m365 spe containertype remove --name 'My container type'
```

## Response

The command won't return a response on success.
